%define upstream_name    CDB_File
%define upstream_version 1.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Extension for access to cdb databases
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/M/MS/MSERGEANT/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::COW)
BuildRequires: perl(Devel::Peek)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warnings)
BuildRequires: perl-devel
%description
CDB_File is a module which provides a Perl interface to Dan Berstein's cdb
package.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc ACKNOWLEDGE COPYRIGHT Changelog INSTALL META.json META.yml MYMETA.yml
%{perl_vendorarch}/auto/CDB_File
%{perl_vendorarch}/CDB_File.pm
%{perl_vendorarch}/bun-x.pl
%{_mandir}/*/*


%changelog
* Thu Nov 30 2023 tv <tv> 1.50.0-5.mga10
+ Revision: 2011570
- Rebuild for perl-5.38

* Mon Jun 06 2022 umeabot <umeabot> 1.50.0-4.mga9
+ Revision: 1861580
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.50.0-3.mga9
+ Revision: 1796297
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.50.0-2.mga9
+ Revision: 1726412
- Rebuild for perl 5.34

* Sat Dec 12 2020 tv <tv> 1.50.0-1.mga8
+ Revision: 1655748
- update to 1.05

* Sun Nov 15 2020 tv <tv> 1.30.0-1.mga8
+ Revision: 1646334
- update to 1.03

* Wed Jun 17 2020 umeabot <umeabot> 1.20.0-3.mga8
+ Revision: 1594315
- Rebuild for perl 5.32

* Thu Feb 20 2020 umeabot <umeabot> 1.20.0-2.mga8
+ Revision: 1546080
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 tv <tv> 1.20.0-1.mga8
+ Revision: 1485850
- update to 1.02

* Wed Jan 29 2020 tv <tv> 1.10.0-1.mga8
+ Revision: 1484909
- update to 1.01

* Mon Jan 20 2020 tv <tv> 1.0.0-1.mga8
+ Revision: 1481659
- update to 1.00

* Tue Aug 27 2019 tmb <tmb> 0.990.0-6.mga8
+ Revision: 1433380
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.990.0-5.mga7
+ Revision: 1292368
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 pterjan <pterjan> 0.990.0-4.mga7
+ Revision: 1248957
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.990.0-3.mga7
+ Revision: 1163263
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.990.0-2.mga7
+ Revision: 1148679
- Rebuild for perl ABI changes

* Sat Jul 29 2017 sander85 <sander85> 0.990.0-1.mga7
+ Revision: 1132287
- update to 0.99

* Sat Jul 22 2017 neoclust <neoclust> 0.980.0-4.mga7
+ Revision: 1126715
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.980.0-3.mga6
+ Revision: 1023417
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.980.0-2.mga6
+ Revision: 956811
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 0.980.0-1.mga6
+ Revision: 851914
- update to 0.98

* Fri Jun 26 2015 sander85 <sander85> 0.970.0-11.mga6
+ Revision: 844054
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.970.0-10.mga5
+ Revision: 746252
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.970.0-9.mga5
+ Revision: 732906
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.970.0-8.mga5
+ Revision: 683619
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.970.0-7.mga5
+ Revision: 630860
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.970.0-6.mga4
+ Revision: 524245
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.970.0-5.mga4
+ Revision: 430556
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.970.0-4.mga3
+ Revision: 363424
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.970.0-3.mga3
+ Revision: 250316
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.970.0-2.mga2
+ Revision: 103611
- perl 5.14

* Thu Apr 07 2011 jquelin <jquelin> 0.970.0-1.mga1
+ Revision: 81739
- update to 0.97

* Fri Jan 21 2011 jquelin <jquelin> 0.960.0-2.mga1
+ Revision: 29834
- mageia rebuild
- imported package perl-CDB_File

